Modify

Opened 10 years ago

Closed 9 years ago

#3196 closed enhancement (wontfix)

[PATCH] Asterisk 1.4.18

Reported by: zandbelt Owned by: nico
Priority: normal Milestone:
Component: packages Version:
Keywords: asterisk Cc:

Description

this one obsoletes #2874 in its turn...

Attachments (2)

openwrt-packages-asterisk-1.4.18.patch (18.0 KB) - added by zandbelt 10 years ago.
openwrt-packages-asterisk-1.4.18-addons-1.4.6-zaptel-1.4.9.2.patch (58.8 KB) - added by zandbelt 10 years ago.

Download all attachments as: .zip

Change History (13)

Changed 10 years ago by zandbelt

comment:1 Changed 10 years ago by olli

Does not compile for me.

{{{checking for sqlite_exec in -lsqlite... yes
checking /home/openwrt/builds/wl-500gp/staging_dir/mipsel/usr/include/sqlite.h usability... yes
checking /home/openwrt/builds/wl-500gp/staging_dir/mipsel/usr/include/sqlite.h presence... yes
checking for /home/openwrt/builds/wl-500gp/staging_dir/mipsel/usr/include/sqlite.h... yes
checking for ssl23_connect in -lssl... yes
checking /home/openwrt/builds/wl-500gp/staging_dir/mipsel/usr/include/openssl/ssl.h usability... yes
checking /home/openwrt/builds/wl-500gp/staging_dir/mipsel/usr/include/openssl/ssl.h presence... yes
checking for /home/openwrt/builds/wl-500gp/staging_dir/mipsel/usr/include/openssl/ssl.h... yes
checking for tone_zone_find in -ltonezone... no
configure: *
configure:
* The tonezone installation on this system appears to be broken.
configure: * Either correct the installation, or run configure
configure:
* without explicitly specifying --with-tonezone
make[2]: * /home/openwrt/builds/wl-500gp/build_dir/mipsel/asterisk-1.4.18/.configured Error 1
make[2]: Leaving directory `/home/openwrt/builds/wl-500gp/feeds/packages/net/asterisk-1.4.x'
make[1]:
* [package/openwrt-packages/net/asterisk-1.4.x/compile] Error 2
make[1]: Leaving directory `/home/openwrt/builds/wl-500gp'
make: * [package/asterisk-1.4.x/compile] Fehler 2}}}

comment:2 Changed 10 years ago by olli

checking for sqlite_exec in -lsqlite... yes
checking /home/openwrt/builds/wl-500gp/staging_dir/mipsel/usr/include/sqlite.h usability... yes
checking /home/openwrt/builds/wl-500gp/staging_dir/mipsel/usr/include/sqlite.h presence... yes
checking for /home/openwrt/builds/wl-500gp/staging_dir/mipsel/usr/include/sqlite.h... yes
checking for ssl23_connect in -lssl... yes
checking /home/openwrt/builds/wl-500gp/staging_dir/mipsel/usr/include/openssl/ssl.h usability... yes
checking /home/openwrt/builds/wl-500gp/staging_dir/mipsel/usr/include/openssl/ssl.h presence... yes
checking for /home/openwrt/builds/wl-500gp/staging_dir/mipsel/usr/include/openssl/ssl.h... yes
checking for tone_zone_find in -ltonezone... no
configure: ***
configure: *** The tonezone installation on this system appears to be broken.
configure: *** Either correct the installation, or run configure
configure: *** without explicitly specifying --with-tonezone
make[2]: *** [/home/openwrt/builds/wl-500gp/build_dir/mipsel/asterisk-1.4.18/.configured] Error 1
make[2]: Leaving directory `/home/openwrt/builds/wl-500gp/feeds/packages/net/asterisk-1.4.x'
make[1]: *** [package/openwrt-packages/net/asterisk-1.4.x/compile] Error 2
make[1]: Leaving directory `/home/openwrt/builds/wl-500gp'
make: *** [package/asterisk-1.4.x/compile] Fehler 2

comment:3 Changed 10 years ago by anonymous

Please apply the patch to a clean checkout from trunk and compile.

comment:4 Changed 10 years ago by zandbelt

it needs 2873 for linking against libtonezone; this is also specified as a dependency for app_meetme; it is not clear to me though that this dependency does not generate any errors/warnings earlier (still have to check against a clean trunk though)

comment:5 Changed 10 years ago by zandbelt

here's one that updates asterisk to 1.4.18, asterisk-addons to 1.4.6 and zaptel to 1.4.9.2
it was tested ok against a clean trunk; this obsoletes #2873 and #2874

comment:6 Changed 10 years ago by FrogOnWheels

I think I had the latest patch - but I had problem with the zaptel Makefile on buildroot-ng - it has a few non-compliance issues that need to be fixed up. These prevented me from seeing it in the make menuconfig. The description was the one sticking -but I thing there were some others.

comment:7 Changed 10 years ago by nico

  • Owner changed from developers to nico
  • Status changed from new to assigned

comment:8 Changed 10 years ago by anonymous

I found this too, it works ok with Kamikaze_7.09 but shits itself when compiling on a fresh trunk

comment:9 Changed 10 years ago by anonymous

e.g.
Collecting package info: done
tmp/.config-package.in:3415:warning: 'select' used by config symbol 'PACKAGE_asterisk14-app-meetme' refer to undefined symbol 'PACKAGE_zaptel14-libtonezone

comment:10 Changed 9 years ago by marca56@…

Is there an updated build script and set of patches for Asterisk?

What's in the current trunk is not working so I figured I would build from scratch in the buildroot with Hans' script.

However, the script is obsolete (e.g., 1.4.9 on WhiteRussian). I tried to modify the script, but not sure how to get it to complete.

marc.

comment:11 Changed 9 years ago by zandbelt

  • Resolution set to wontfix
  • Status changed from assigned to closed

obsoleted by current SVN

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.